Skip to main content

Create a vendor

POSThttps://api.propexo.com/v1/vendors/

Create a vendor for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    vendor_category_idstring

    The Propexo unique identifier for the vendor category

    is_companyboolean

    Indicates whether the vendor should be considered a company or person

    first_namestring

    First name of the vendor. Required if is_company is false

    Possible values: <= 127 characters

    last_namestring

    Last name of the vendor. Required if is_company is false

    Possible values: <= 127 characters

    namestring

    Company name of the vendor. Required if is_company is true

    Possible values: <= 127 characters

    email_1string<email>

    Primary email for the vendor

    email_2string<email>

    Alternate email for the vendor

    phone_1string

    First phone number

    Possible values: >= 10 characters and <= 20 characters

    phone_1_typestring

    First phone number type

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Second phone number

    Possible values: >= 10 characters and <= 20 characters

    phone_2_typestring

    Second phone number type

    Show 4 enum values
    HOMEWORKMOBILEFAX
    address_1string

    The first address line associated with the vendor

    Possible values: <= 100 characters

    address_2string

    The second address line associated with the vendor

    Possible values: <= 100 characters

    citystring

    The city associated with the vendor

    Possible values: <= 100 characters

    statestring

    The state associated with the vendor

    zipstring

    The zip code associated with the vendor

    countrystring

    The country associated with the vendor

    account_numberstring

    The account number associated with the vendor

    Possible values: <= 30 characters

    websitestring<uri>

    The website URL associated with the vendor

    Possible values: <= 100 characters

    insurance_providerstring

    Vendor insurance provider

    Possible values: <= 65 characters

    insurance_policy_numberstring

    Vendor insurance policy number

    Possible values: <= 65 characters

    insurance_expire_datestring<date-time>

    Vendor insurance policy expiration date

    notesstring

    Notes associated with the vendor

    Possible values: <= 65535 characters

    tax_idstring

    The unique identifier of the tax payer. Required if tax_payer_type is set

    tax_payer_typestring

    The tax payer type. Required if tax_id is set

    Show 2 enum values
    SSNEIN
    tax_payer_name_1string

    The tax payer name 1

    Possible values: <= 40 characters

    tax_payer_name_2string

    The tax payer name 2

    Possible values: <= 40 characters

    tax_address_1string

    The tax payer address line 1

    Possible values: <= 100 characters

    tax_address_2string

    The tax payer address line 2

    Possible values: <= 100 characters

    tax_citystring

    The tax payer address city

    Possible values: <= 100 characters

    tax_statestring

    The tax payer address state

    tax_zipstring

    The tax payer address zip code

    tax_countrystring

    The tax payer address country

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/vendors/
curl -X POST https://api.propexo.com/v1/vendors/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}